﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        PetType[] petTypeArray =
        {
            PetType.None,
            PetType.Dog | PetType.Cat,
            PetType.Dog
        };

        int noneCount = 0;
        int dogCount  = 0;

        foreach(PetType petType in petTypeArray)
        {
            if(petType.Equals(PetType.None))
            {
                noneCount++;
            }
            else if(petType.HasFlag(PetType.Dog))
            {
                dogCount++;
            }
        }

        Console.WriteLine("애완동물이 없는 경우 : {0}/{1}", noneCount, petTypeArray.Length);
        Console.WriteLine("개가 있는 경우       : {0}/{1}", dogCount , petTypeArray.Length);
    }

    #endregion
}